<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Vvveb\Plugins\OpenApi\Controller;

use function Vvveb\__;
use Vvveb\Controller\Base;
use function Vvveb\model;

class Swagger extends Base {
	private function token() {
		if (! REST) {
			$this->view->errors[] = sprintf(__('%s not enabled, edit /env.php to enable'), 'REST Api');
		}

		$token = '';
		//get first token for admin user to use as default
		$adminToken = model('admin_auth_token');
		$token = $adminToken->get($this->global)['token'] ?? '';
		$this->view->token = $token;
	}

	function index() {
		$this->token();
	}

	function swagger() {
		$this->token();
	}
}
